Call settings
Last update: 6 hours ago by Irais Aguirre
Integration summary
- Base URL:
https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services- Token: admin token, in the
Authorization: Bearer {{admin-token}}header (how to generate it)- Endpoints on this page:
POST /v1/phone-number/{{waba_id}}/{{business_phone_number}}/call-settings: Configure call settingsGET /v1/phone-number/{{waba_id}}/{{business_phone_number}}/call-settings: Get call settings
Configure call settings
Configures the call settings for the WhatsApp Business Calling API.
Request
Configure call settings request:
| URL | https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/phone-number/{{waba_id}}/{{business_phone_number}}/call-settings |
| Method | POST |
| Type | application/json |
Headers
Configure call settings headers:
| Name | Description | Type | Requirements |
|---|---|---|---|
| Authorization | Admin token. See Generate authentication token. | String | Required |
| Content-Type | application/json | String | Required |
Parameters
Configure call settings parameters:
| Name | Description | Type | Requirements |
|---|---|---|---|
| waba_id | WhatsApp Business Account ID | String | Required |
| business_phone_number | Phone number to configure | String | Required |
Body
Configure call settings body fields:
| Name | Description | Type | Requirements |
|---|---|---|---|
| status | Status of the calling service. Possible values: ENABLED or DISABLED. When DISABLED is sent, the submitted call_hours is ignored and replaced with placeholder values. | String | Optional |
| call_icon_visibility | Controls whether the call icon is shown in the user's interface. Possible values: DEFAULT or DISABLE_ALL | String | Optional |
| callback_permission_status | Allows or restricts callbacks from the user. Possible values: ENABLED or DISABLED | String | Optional |
| call_hours | Business hours settings | call_hours object | Optional |
Call hours object
| Name | Description | Type | Requirements |
|---|---|---|---|
| status | Enables or disables business hours. Possible values: ENABLED and DISABLED | String | Optional |
| timezone_id | Business time zone (for example, America/Mexico_City) | String | Required if status is ENABLED |
| weekly_operating_hours | List of days and hours when the business is available | Array of weekly_operating_hours objects | Optional |
| holiday_schedule | Special non-working dates. If you update the phone number settings without including the holiday_schedule parameter, the existing holiday_schedule is deleted and replaced with an empty schedule. You can specify up to 20 dates | Array of holiday_schedule objects | Optional |
Weekly operating hours object
| Name | Description | Type | Requirements |
|---|---|---|---|
| day_of_week | Day of the week. Possible values: "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" | String | Required |
| open_time | Opening time, in 24-hour format. For example, "1130" = 11:30 a.m. | String |
|
| close_time | Closing time, in 24-hour format. For example, "1130" = 11:30 a.m. | String |
|
Holiday schedule object
| Name | Description | Type | Requirements |
|---|---|---|---|
| date | Date on which the regular call hours are overridden | String | Required |
| start_time | Start time in 24-hour format (HHmm). For example, "1130" = 11:30 a.m. | String |
|
| end_time | End time in 24-hour format (HHmm). For example, "1800" = 6:00 p.m. | String |
|
Example
Complete Configure call settings example (HTTP request and JSON body):
HTTP request
curl -X POST 'https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/phone-number/{{waba_id}}/{{business_phone_number}}/call-settings' \-H 'Authorization: Bearer {{admin-token}}' \-H 'Content-Type: application/json' \-d '{"status": "ENABLED","call_icon_visibility": "DEFAULT","call_hours": {"status": "ENABLED","timezone_id": "America/Manaus","weekly_operating_hours": [{"day_of_week": "MONDAY","open_time": "0400","close_time": "1020"},{"day_of_week": "TUESDAY","open_time": "0108","close_time": "1020"}],"holiday_schedule": [{"date": "2026-01-01","start_time": "0000","end_time": "2359"}]},"callback_permission_status": "ENABLED"}'
Body
{"status": "ENABLED","call_icon_visibility": "DEFAULT","call_hours": {"status": "ENABLED","timezone_id": "America/Manaus","weekly_operating_hours": [{"day_of_week": "MONDAY","open_time": "0400","close_time": "1020"},{"day_of_week": "TUESDAY","open_time": "0108","close_time": "1020"}],"holiday_schedule": [{"date": "2026-01-01","start_time": "0000","end_time": "2359"}]},"callback_permission_status": "ENABLED"}
Response
Configure call settings response:
| Name | Description | Type |
|---|---|---|
| success | Whether the operation succeeded or failed | Boolean |
{"success": true}
Get call settings
Retrieves the call settings for the WhatsApp Business Calling API.
Request
Get call settings request:
| URL | https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/phone-number/{{waba_id}}/{{business_phone_number}}/call-settings |
| Method | GET |
Headers
Get call settings headers:
| Name | Description | Type | Requirements |
|---|---|---|---|
| Authorization | Admin token. See Generate authentication token. | String | Required |
Parameters
Get call settings parameters:
| Name | Description | Type | Requirements |
|---|---|---|---|
| waba_id | WhatsApp Business Account ID | String | Required |
| business_phone_number | Phone number to query | String | Required |
Example
Get call settings example:
curl 'https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/phone-number/{{waba_id}}/{{business_phone_number}}/call-settings' \-H 'Authorization: Bearer {{admin-token}}'
Response
Get call settings response:
| Name | Description | Type |
|---|---|---|
| status | Status of the calling service | String |
| call_icon_visibility | Controls whether the call icon is shown in the user's interface | String |
| callback_permission_status | Allows or restricts callbacks from the user | String |
| call_hours | Business hours settings | call_hours object |
Call hours response object
| Name | Description | Type |
|---|---|---|
| status | Enables or disables business hours | String |
| timezone_id | Business time zone (for example, America/Mexico_City) | String |
| weekly_operating_hours | List of days and hours when the business is available | Array of weekly_operating_hours objects |
| holiday_schedule | Special non-working dates | Array of holiday_schedule objects |
